| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgreInput.h File Reference
`#include <OgreBitesPrerequisites.h>`

## Classes
union | OgreBites::Event
struct | OgreBites::InputListener
| the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy More...
struct | OgreBites::KeyboardEvent
struct | OgreBites::Keysym
struct | OgreBites::MouseButtonEvent
struct | OgreBites::MouseMotionEvent
struct | OgreBites::MouseWheelEvent
struct | OgreBites::TouchFingerEvent

## Namespaces
| Ogre
| OgreBites

## Typedefs
typedef int | OgreBites::Keycode

## Enumerations
enum | { OgreBites::SDLK_RETURN = int('\r'), OgreBites::SDLK_ESCAPE = int('\033'), OgreBites::SDLK_SPACE = int(' '), OgreBites::SDLK_F1 = (1 << 30) | 58, OgreBites::SDLK_F2, OgreBites::SDLK_F3, OgreBites::SDLK_F4, OgreBites::SDLK_F5, OgreBites::SDLK_F6, OgreBites::SDLK_F7, OgreBites::SDLK_F8, OgreBites::SDLK_F9, OgreBites::SDLK_F10, OgreBites::SDLK_F11, OgreBites::SDLK_F12, OgreBites::SDLK_PAGEUP = (1 << 30) | 75, OgreBites::SDLK_PAGEDOWN = (1 << 30) | 77, OgreBites::SDLK_RIGHT = (1 << 30) | 79, OgreBites::SDLK_LEFT, OgreBites::SDLK_DOWN, OgreBites::SDLK_UP, OgreBites::SDLK_KP_MINUS = (1 << 30) | 86, OgreBites::SDLK_KP_PLUS, OgreBites::SDLK_LSHIFT = (1 << 30) | 225, OgreBites::KMOD_CTRL = 0x0040 | 0x0080 }
enum | OgreBites::ButtonType { OgreBites::BUTTON_LEFT = 1, OgreBites::BUTTON_MIDDLE, OgreBites::BUTTON_RIGHT }
enum | OgreBites::EventType { OgreBites::KEYDOWN = 1, OgreBites::KEYUP, OgreBites::MOUSEBUTTONDOWN, OgreBites::MOUSEBUTTONUP, OgreBites::MOUSEWHEEL, OgreBites::MOUSEMOTION, OgreBites::FINGERDOWN, OgreBites::FINGERUP, OgreBites::FINGERMOTION }